Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.avtransport.lastchange
Class AVTransportVariable.PossibleRecordQualityModes

    java.lang.Object
      org.fourthline.cling.support.lastchange.EventedValue<E[]>
          org.fourthline.cling.support.lastchange.EventedValueEnumArray<RecordQualityMode>
              org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable.PossibleRecordQualityModes

Enclosing class:
  AVTransportVariable

    public static class AVTransportVariable.PossibleRecordQualityModes

extends EventedValueEnumArray<RecordQualityMode>

Field Summary

Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue
`value`

Constructor Summary
`AVTransportVariable.PossibleRecordQualityModes(Map.Entry<String,String>[] attributes)`
`AVTransportVariable.PossibleRecordQualityModes(RecordQualityMode[] e)`

Method Summary
`protected RecordQualityMode[]` | `enumValueOf(String[] names)`

Methods inherited from class org.fourthline.cling.support.lastchange.EventedValueEnumArray
`getDatatype, toString, valueOf`

Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue
`getAttributes, getName, getValue, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AVTransportVariable.PossibleRecordQualityModes

    public AVTransportVariable.PossibleRecordQualityModes(RecordQualityMode[] e)

### AVTransportVariable.PossibleRecordQualityModes

    public AVTransportVariable.PossibleRecordQualityModes(Map.Entry<String,String>[] attributes)

Method Detail

### enumValueOf

    protected RecordQualityMode[] enumValueOf(String[] names)

  Specified by:
    `enumValueOf` in class `EventedValueEnumArray<RecordQualityMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.